Get reward by ID
curl --request GET \
--url https://{cluster}.voucherify.io/v2/loyalties/rewards/{rewardId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "lrew_12cad1abefa2311e10",
"name": "Daily coffee voucher",
"type": "MATERIAL",
"status": "DRAFT",
"start_date": null,
"end_date": null,
"validity_hours": {
"type": "ANY_TIME"
},
"material": {
"type": "PRODUCT",
"product": {
"id": "prod_0ba649b6893cf33a80"
}
},
"refunds": {
"type": "NONE"
},
"costs": [
{
"id": "lrcst_12cad1abefa2311e11",
"spending": [
{
"id": "lrspn_12cad1abefa2311e12",
"name": "Standard cost",
"points": 100,
"card_definition_id": "lcdef_128f495f720c4bec8c"
}
],
"tier_rules": {
"type": "NO_REQUIREMENTS"
},
"name": "Cost one"
}
],
"purchase_limits": {
"cooldown": {
"type": "FIXED_COOLDOWN",
"fixed_cooldown": {
"period": {
"value": 1,
"unit": "DAY"
}
}
},
"frequency": {
"type": "LIMITED",
"limits": [
{
"type": "TIME_BASED",
"period": {
"type": "CURRENT_PERIOD",
"current_period": {
"unit": "DAY"
}
},
"triggers": {
"max": 1
}
}
]
}
},
"metadata": {},
"created_at": "2026-07-27T16:09:59.999Z",
"updated_at": null,
"object": "reward"
}Get reward by ID
Returns a single reward by its ID.
A successful call records no activity.
GET
/
v2
/
loyalties
/
rewards
/
{rewardId}
Get reward by ID
curl --request GET \
--url https://{cluster}.voucherify.io/v2/loyalties/rewards/{rewardId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "lrew_12cad1abefa2311e10",
"name": "Daily coffee voucher",
"type": "MATERIAL",
"status": "DRAFT",
"start_date": null,
"end_date": null,
"validity_hours": {
"type": "ANY_TIME"
},
"material": {
"type": "PRODUCT",
"product": {
"id": "prod_0ba649b6893cf33a80"
}
},
"refunds": {
"type": "NONE"
},
"costs": [
{
"id": "lrcst_12cad1abefa2311e11",
"spending": [
{
"id": "lrspn_12cad1abefa2311e12",
"name": "Standard cost",
"points": 100,
"card_definition_id": "lcdef_128f495f720c4bec8c"
}
],
"tier_rules": {
"type": "NO_REQUIREMENTS"
},
"name": "Cost one"
}
],
"purchase_limits": {
"cooldown": {
"type": "FIXED_COOLDOWN",
"fixed_cooldown": {
"period": {
"value": 1,
"unit": "DAY"
}
}
},
"frequency": {
"type": "LIMITED",
"limits": [
{
"type": "TIME_BASED",
"period": {
"type": "CURRENT_PERIOD",
"current_period": {
"unit": "DAY"
}
},
"triggers": {
"max": 1
}
}
]
}
},
"metadata": {},
"created_at": "2026-07-27T16:09:59.999Z",
"updated_at": null,
"object": "reward"
}Authorizations
X-App-Id & X-App-TokenbearerAuth
Path Parameters
Response
The reward.
Response body schema for GET /v2/loyalties/rewards/{rewardId}.

